# Uses of Class
org.eclipse.search.core.text.TextSearchEngine

Packages that use TextSearchEngine
Package
Description
org.eclipse.search.core.text
Classes giving access to the file (text) search functionality.

## Uses of TextSearchEngine in org.eclipse.search.core.text

Methods in org.eclipse.search.core.text that return TextSearchEngine
Modifier and Type
Method
Description
`static TextSearchEngine`
TextSearchEngine.`create()`
Creates an instance of the search engine.
`static TextSearchEngine`
TextSearchEngine.`createDefault()`
Creates the default, built-in, text search engine that implements a brute-force search, not using any search index.